Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleOptionSizeGrip

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QStyleOption
                  com.trolltech.qt.gui.QStyleOptionComplex
                      com.trolltech.qt.gui.QStyleOptionSizeGrip

All Implemented Interfaces:
  QtJambiInterface

    public class QStyleOptionSizeGrip

extends QStyleOptionComplex

The `QStyleOptionSizeGrip` class is used to describe the parameter for drawing a size grip.

`QStyleOptionButton` contains all the information that `QStyle` functions need to draw `QSizeGrip`.

For performance reasons, the access to the member variables is direct (i.e., using the `.` or `->` operator). This low-level feel makes the structures straightforward to use and emphasizes that these are simply parameters used by the style functions.

For an example demonstrating how style options can be used, see the Styles example.

See Also:
  `QStyleOption`, `QStyleOptionComplex`, `QSizeGrip`

Nested Class Summary
`static class` | `QStyleOptionSizeGrip.StyleOptionType` This enum is used to hold information about the type of the style option, and is defined for each `QStyleOption` subclass.
`static class` | `QStyleOptionSizeGrip.StyleOptionVersion` This enum is used to hold information about the version of the style option, and is defined for each `QStyleOption` subclass.

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QStyleOption
`QStyleOption.OptionType`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`` | `QStyleOptionSizeGrip()` Constructs a `QStyleOptionSizeGrip`.
`protected` | `QStyleOptionSizeGrip(int version)`
`` | `QStyleOptionSizeGrip(QStyleOptionSizeGrip other)` Constructs a copy of the `other` style option.

Method Summary
`Qt.Corner` | `corner()` The corner in which the size grip is located.
`static QStyleOptionSizeGrip` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QStyleOptionSizeGrip instance pointed to by nativePointer
`static QNativePointer` | `nativePointerArray(QStyleOptionSizeGrip[] array)` This function returns a QNativePointer that is pointing to the specified QStyleOptionSizeGrip array.
`void` | `setCorner(Qt.Corner corner)` The corner in which the size grip is located.

Methods inherited from class com.trolltech.qt.gui.QStyleOptionComplex
`activeSubControls, nativePointerArray, setActiveSubControls, setSubControls, subControls`

Methods inherited from class com.trolltech.qt.gui.QStyleOption
`direction, fontMetrics, initFrom, nativePointerArray, palette, rect, setDirection, setFontMetrics, setPalette, setRect, setState, setState, setType, setVersion, state, type, version`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QStyleOptionSizeGrip

    public QStyleOptionSizeGrip(QStyleOptionSizeGrip other)

  Constructs a copy of the `other` style option.

### QStyleOptionSizeGrip

    public QStyleOptionSizeGrip()

  Constructs a `QStyleOptionSizeGrip`.

### QStyleOptionSizeGrip

    protected QStyleOptionSizeGrip(int version)

Method Detail

### setCorner

    public final void setCorner(Qt.Corner corner)

  The corner in which the size grip is located.

  See Also:
    `corner`

### corner

    public final Qt.Corner corner()

  The corner in which the size grip is located.

  See Also:
    `setCorner`

### fromNativePointer

    public static QStyleOptionSizeGrip fromNativePointer(QNativePointer nativePointer)

  This function returns the QStyleOptionSizeGrip instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

### nativePointerArray

    public static QNativePointer nativePointerArray(QStyleOptionSizeGrip[] array)

  This function returns a QNativePointer that is pointing to the specified QStyleOptionSizeGrip array.

  Parameters:
    `array` - the array that the returned pointer will point to.
  Returns:
    a QNativePointer that is pointing to the specified array.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD